Succession
GET/api/v1/succession/cases
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: plan_version, created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/succession/cases"{ "cases": [ { "case_id": "string", "challenges": [ { "by": { "id": "string", "kind": "auth_user" }, "challenge_id": "string", "claim": "string", "evidence": [ "string" ], "filed_at": "2019-08-24T14:15:22Z", "route": "string", "status": "under_review" } ], "contestation_ends_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "designated_successor": null, "execution_receipt": null, "grace_ends_at": "2019-08-24T14:15:22Z", "opened_by": "string", "phase": "dead_man_switch", "plan_id": "string", "plan_version": 0, "subject": { "id": "string", "kind": "auth_user" }, "trigger": { "event_types": [ "string" ], "kind": "explicit_event" }, "trigger_reason": "string", "updated_at": "2019-08-24T14:15:22Z" } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}POST/api/v1/succession/cases
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/succession/cases" \ -H "Content-Type: application/json" \ -d '{ "plan_id": "string", "trigger": { "event_types": [ "string" ], "kind": "explicit_event" } }'{ "case_id": "string", "challenges": [ { "by": { "id": "string", "kind": "auth_user" }, "challenge_id": "string", "claim": "string", "evidence": [ "string" ], "filed_at": "2019-08-24T14:15:22Z", "route": "string", "status": "under_review" } ], "contestation_ends_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "designated_successor": null, "execution_receipt": null, "grace_ends_at": "2019-08-24T14:15:22Z", "opened_by": "string", "phase": "dead_man_switch", "plan_id": "string", "plan_version": 0, "subject": { "id": "string", "kind": "auth_user" }, "trigger": { "event_types": [ "string" ], "kind": "explicit_event" }, "trigger_reason": "string", "updated_at": "2019-08-24T14:15:22Z"}GET/api/v1/succession/cases/{case_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/succession/cases/string"{ "case_id": "string", "challenges": [ { "by": { "id": "string", "kind": "auth_user" }, "challenge_id": "string", "claim": "string", "evidence": [ "string" ], "filed_at": "2019-08-24T14:15:22Z", "route": "string", "status": "under_review" } ], "contestation_ends_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "designated_successor": null, "execution_receipt": null, "grace_ends_at": "2019-08-24T14:15:22Z", "opened_by": "string", "phase": "dead_man_switch", "plan_id": "string", "plan_version": 0, "subject": { "id": "string", "kind": "auth_user" }, "trigger": { "event_types": [ "string" ], "kind": "explicit_event" }, "trigger_reason": "string", "updated_at": "2019-08-24T14:15:22Z"}POST/api/v1/succession/cases/{case_id}/challenges
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/succession/cases/string/challenges" \ -H "Content-Type: application/json" \ -d '{ "claim": "string" }'{ "case_id": "string", "challenge_id": "string", "route": "string"}POST/api/v1/succession/cases/{case_id}/challenges/{challenge_id}/resolve
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/succession/cases/string/challenges/string/resolve" \ -H "Content-Type: application/json" \ -d '{ "uphold": true }'{ "case_id": "string", "challenge_id": "string", "phase": "dead_man_switch", "status": "under_review"}POST/api/v1/succession/cases/{case_id}/execute
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/succession/cases/string/execute"{ "case_id": "string", "phase": "dead_man_switch", "receipt": null}POST/api/v1/succession/cases/{case_id}/heartbeat-response
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/succession/cases/string/heartbeat-response"{ "case_id": "string", "message": "string", "phase": "dead_man_switch"}GET/api/v1/succession/plans
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: version, created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/succession/plans"{ "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }, "plans": [ { "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "dispositions": [ { "asset": { "currency_id": "string", "domain": "string", "kind": "treasury_balance" }, "rule": { "kind": "transfer", "to": "string" } } ], "plan_id": "string", "safeguards": { "challenge_resolution": [ "string" ], "contestation_window_days": 0, "dead_man_switch": null, "grace_period_days": 0 }, "status": "active", "subject": { "id": "string", "kind": "auth_user" }, "succession_rule": { "fallback": null, "heirs": [ { "id": "string", "kind": "auth_user" } ], "kind": "ordered_heirs" }, "triggers": [ { "event_types": [ "string" ], "kind": "explicit_event" } ], "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ]}POST/api/v1/succession/plans
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/succession/plans" \ -H "Content-Type: application/json" \ -d '{ "subject": { "id": "string", "kind": "auth_user" }, "succession_rule": { "heirs": [ { "id": "string", "kind": "auth_user" } ], "kind": "ordered_heirs" }, "triggers": [ { "event_types": [ "string" ], "kind": "explicit_event" } ] }'{ "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "dispositions": [ { "asset": { "currency_id": "string", "domain": "string", "kind": "treasury_balance" }, "rule": { "kind": "transfer", "to": "string" } } ], "plan_id": "string", "safeguards": { "challenge_resolution": [ "string" ], "contestation_window_days": 0, "dead_man_switch": null, "grace_period_days": 0 }, "status": "active", "subject": { "id": "string", "kind": "auth_user" }, "succession_rule": { "fallback": null, "heirs": [ { "id": "string", "kind": "auth_user" } ], "kind": "ordered_heirs" }, "triggers": [ { "event_types": [ "string" ], "kind": "explicit_event" } ], "updated_at": "2019-08-24T14:15:22Z", "version": 0}GET/api/v1/succession/plans/{plan_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/succession/plans/string"{ "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "dispositions": [ { "asset": { "currency_id": "string", "domain": "string", "kind": "treasury_balance" }, "rule": { "kind": "transfer", "to": "string" } } ], "plan_id": "string", "safeguards": { "challenge_resolution": [ "string" ], "contestation_window_days": 0, "dead_man_switch": null, "grace_period_days": 0 }, "status": "active", "subject": { "id": "string", "kind": "auth_user" }, "succession_rule": { "fallback": null, "heirs": [ { "id": "string", "kind": "auth_user" } ], "kind": "ordered_heirs" }, "triggers": [ { "event_types": [ "string" ], "kind": "explicit_event" } ], "updated_at": "2019-08-24T14:15:22Z", "version": 0}POST/api/v1/succession/plans/{plan_id}/dry-run
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/succession/plans/string/dry-run" \ -H "Content-Type: application/json" \ -d '{}'{ "legs": [ { "asset": { "currency_id": "string", "domain": "string", "kind": "treasury_balance" }, "beneficiary": "string", "rule": { "kind": "transfer", "to": "string" } } ], "plan_id": "string", "plan_version": 0, "resolved_successor": null, "warnings": [ "string" ]}